package com.tfis.system.mapper;

import java.util.List;
import com.tfis.system.domain.AircraftSystem;

/**
 * 系统信息管理Mapper接口
 * 
 * @author allen
 * @date 2023-11-23
 */
public interface AircraftSystemMapper 
{
    /**
     * 查询系统信息管理
     * 
     * @param id 系统信息管理主键
     * @return 系统信息管理
     */
    public AircraftSystem selectAircraftSystemById(Long id);

    /**
     * 查询系统信息管理列表
     * 
     * @param aircraftSystem 系统信息管理
     * @return 系统信息管理集合
     */
    public List<AircraftSystem> selectAircraftSystemList(AircraftSystem aircraftSystem);

    /**
     * 新增系统信息管理
     * 
     * @param aircraftSystem 系统信息管理
     * @return 结果
     */
    public int insertAircraftSystem(AircraftSystem aircraftSystem);

    /**
     * 修改系统信息管理
     * 
     * @param aircraftSystem 系统信息管理
     * @return 结果
     */
    public int updateAircraftSystem(AircraftSystem aircraftSystem);

    /**
     * 删除系统信息管理
     * 
     * @param id 系统信息管理主键
     * @return 结果
     */
    public int deleteAircraftSystemById(Long id);

    /**
     * 批量删除系统信息管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAircraftSystemByIds(Long[] ids);
}
